## heartofthealien 1.2.2

=== Makefile ===
all: alien

CC=gcc
SDL_CFLAGS = `sdl-config --cflags`
SDL_LIBS = `sdl-config --libs`
CFLAGS=-ggdb -DENABLE_DEBUG -O2 -Wall $(SDL_CFLAGS)
OBJS=\
	client.o common.o vm.o      sprites.o decode.o   animation.o   \
	rooms.o  render.o main.o    music.o   debug.o    lzss.o        \
	sound.o  screen.o scale2x.o scale3x.o game2bin.o cd_iso.o      \
	scale800x480.o

LIBS=$(SDL_LIBS) -lSDLmain -lsmpeg -lSDL_mixer

alien: $(OBJS)
	$(CC) -o $@ $(OBJS) $(LIBS)

.c.o:
	$(CC) $(CFLAGS) -c $< -o $@

clean:
	@rm $(OBJS)

=== debian/changelog ===
heartofthealien (1.2.2) unstable; urgency=low

  * Initial release

 -- sakya <sakya_tg@yahoo.it>  Wed,  13 Apr 2012 15:04:44 +0200

=== debian/control ===
Source: heartofthealien
Section: user/games
Priority: extra
Maintainer: Paolo Iommarini <sakya_tg@yahoo.it>
Build-Depends: debhelper (>= 5), libsdl1.2-dev, libsdl-mixer1.2-dev, libz-dev, libts-dev, libmad0-dev
Standards-Version: 3.7.3

Package: heartofthealien
Architecture: armel
Depends: ${shlibs:Depends}
Description: Heart of The Alien is the sequel for the undoubtably the best adventure of all times, Another World. Developed back in 1994 by Interplay exclusively for the Sega CD console. This is an open-source project which aims to bring this highly-addictive game to all modern consoles and computer platforms. 
 Please note, that you are required to own a copy of the game beforehand, as this release loads all game elements from the cd.
XSBC-Homepage: http://hota.sourceforge.net/
XSBC-Bugtracker: http://hota.sourceforge.net/
XB-Maemo-Display-Name: Heart of the Alien
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAAEAAAABACAIAAAAlC+aJAAAAAXNSR0IArs4c6QAAAAlwSFlzAAAL
 EwAACxMBAJqcGAAAAAd0SU1FB9wEDgwmJT23CQAAAABEdEVYdENvbW1lbnQAQ1JFQVRPUjogZ2Qt
 anBlZyB2MS4wICh1c2luZyBJSkcgSlBFRyB2NjIpLCBkZWZhdWx0IHF1YWxpdHkKEEYPUAAADrVJ
 REFUaN7tmNuP5MdVx7/nVNXv0r++TM+lZ2d2Lrtre70Xe2M7dtZ27IQNISJXlIuJEBJIwAMPPMAD
 SPwFwAMSSETigQih8BCUQBAkJI4cQhwSJxvbWe/a3sx6r57duezM9PT9d6uqw0PPrrEjRZAXhDQf
 9UOrurp+5/xOne85VcA+++yzzz777LPPPvvss88+/zcoQAOeAA0QQcAhDODEQHlFIEAAgBAColhI
 MbwaD+19wDBEkPFMMEgYgYICHEHj7iLg8RciEOGtNd4GAQpQgL/7BA0AENpb4u44gTTIQ0CkLKog
 RTQqEcE7U4qQA5HAAAaiPHv2w0BCj4qnnAAhAgQEbxQAlB6OAAPkBOthPNWgLVDCAw5AAMogEDHM
 IZHz7Eiw554HIAIHeCIRxHv+CGuIJfE89mP8pjLyAmDPAS9JbeG0NgfIVGfedWjlq3/G+Y71bMzk
 0tIjzk/bMmhX29nlf5mK7tUzj6aaneVCbElwJLoIFuft1bP/ABqyFF6UwHn4YPZBHz6g3VZ287uE
 HSATAoSB+Mz7P9nrp73+wFrrvQBgbwR5mne3tlcFbm75KUYoLvDOcBjvFvkoAKzVCLnzraxzi5AK
 hOEJBEZv1Nnpq6RmS5n7DJQTsIIvi1426JDkAfvK1DFV4vZobXO00+7t5hO1SvlahLW63Cox8hiB
 coCEGGACQVsXzVkTFNHM1MH3ESZFEUEBqoLRi8MDJIVA9Uq31u7YyvFg+t2FDsJw6uD8oxJUZ46e
 qU0dkWZjB9JVLvXJTA1Hjz518rFfrsUJaGz4nQ1KgPdOIQysD3bXUaYOgAFs6djBC5wfpwoQ1KcO
 RYlyCe+8/KKFZhRAfH01JYJILIjAu85rjt/HfDAohqmKR6ZVq88PBjv+zrbwpOCMEiPFaj54ZfX1
 lyDLs8tLWqYhVrLix1//QwUdVI8ltYc405z3N3/895v4WygHqUEVcABI382duJJkApGic/3GQuPd
 KcegElCTzZk8Lb10QbMC1OozWcp5t9TVaGbqkUE4Q9Y6bTh7s995HZQSpSKM6nw4czJp9rdf+bZe
 fjJzrdnpR+1gY0TtvW0MihMzSNOIwlZzvlaZqC8+FqvJrc1bOzvnBWuGCOK8GpZx5qOuTXeJikAS
 cbagPjmIwANvOZDnGRF1y7RXuAPVw1n7ctrteLHKo1KpOikBIqDfbVcmrUVmAaOG/VGBYQ9mDaWH
 KJaQKYwOnBqGhwpV2rXNIK4XaTc2DfHRROup4e2vMGkl0EYfO35vtNpO0wO12uNlHh44ePCHPzh3
 9er3vV9ljxIVgg80l0plw+VTD/3SK998vkTu2bGH7ImX8B0xhfcFPJdhOPP0ezZGl+3gLGSFcF2r
 jnhhickzAQKXl5lVMWr1dm+LuyuRXE9GNvRWSSCceh5ZdZC4tbh8YGliaWJi0fR21eAm+R0X29nW
 SRFTgqIi0OEsQNdvXHrx1bMTi7NhY+2JJ081qrE4AmYYuUJGXrRvKtV/4+JzICYwJAYUgcdSzASB
 GCFAFR6qAA/ipHRUseQZAi0SijAToUYCgAZ1XU45CYvU542KuMKGGU3l0dLi6d+RcDqsH/dRs1nd
 uP6tz127+Ne3b32tHLxQdF5kPZyqt57+4AcaDcp0MeFvDZVWzmv0N6+f+8oXP786/PCOotaRB6v1
 I563BAYQsIykAl826gWkcFyAMg/n4QReAGYIyHqCgEmlmXCwdY1NJcNejfJEQuQZkhyxSLSPIomH
 jGFhMftAPvOULHxYjnwMs58qa5PgRCofgWTtle+z7HgGPIOkcBvru9ddVGF16Fc+/fuQikfoyRQ8
 Fvu0HF3+xpd/t18cTquP1eaOzdZPE6wQSEKGF5kc9KfYLMMbeHlbJWZA2MMjjicbdW3c6vDG2Zhu
 p90NASDsHMpymKXtwHWKnUuCARqWeEOX60YPTdDX8LHfidzO7rXno+puBdMsb9rOJS2FI0CYIADq
 zYZRantj8/b6xlZ7Q4qo173c3b29s3U1zbuAq2ftSxe+FPJEo37oxupz8BZwCKLp+lRd92M9ioN0
 0L89LnhvwVDQiFgFiMeipAFSsWKlCAxmMiAFZibABEQwgAIMlEGAPR0gBYSIoQA2ICi+0xYADKhx
 4ddqPGaMBibBAKBpPDVQhplrWikQgCoQKCKYkFHju00GMfbmv9V4EEgUIEIewgABbq/j8HeqPAAw
 BywL3LxX1JwoYHTe9i/BuKDxaSkXjW4bf7vX+RrIA41K7eOjuBBpJcVWNnpFVx/36TUefsfF91H8
 Kdf5iyB+rDRPkr4gTH73x8puWl3Cg5whsFAuwuN2iAS099rVuBUCyrsO6LEoO+yZeic8bzN9b4gp
 Wngm2+j44u/gW+H8J3X0oWzrzx3/AtX/crS1AsdQpSrJozfsPAt5UFdPDNtfgOnr8Bnrq5yuCFuu
 L/iBtYHjxJS3XyIL9m1DpS3HRpTy320RyFuWuHFH9fYd9D9vXNWZUaXlyy9M+KyCN3P7clmvacxh
 4qWw+weRPs2uCTsOqWazwXDGR0rtQoT9BIVzYmJCC5LAJeQTpyuozDIpgDKlfr52+n/hgLcvmFEn
 qn62p3TGcyGd1rvayi71jlr6x6z4T7g2S+KQCLE4iNclrHcxnGe0JVvx9jL8EOjCM5yHGyAlz3NB
 bZmc/rnPAz/LPYKME1QIhBKdW1SfpImnTPWwpD8qd/8Z0UCzITd0xXXjRZBDFcRl4BhKGZWV2RWo
 UtEk3HacXZegBGLtXlMcMCphwhwtWCkkXxeyb0/Od6ilCEBjY/Z+pp8RFgaIMR0TSE3X2VA0/kN1
 7whEkSFFhhHVE/XTYdRQBqTGUqAREAUwKkCgKWTFIAIzMzGMhgYDKiFT0yZQe+XHMBQIoABKg2Yn
 CAhDpslQGaiQCSAD0j8dOLqbyc2Fe41/ut4wdHjRP/u5FBlQeKcE4czcu2sqHUTKtO65/cIX37FE
 ZeoQxSfF+3Jw3g9uOOFk+kQZTk8gbrvyYDx88pF3FfFiWtI3vvwn3ufL932kOtsMukGjZr/3wpec
 3wbtZXRj/uFMmsb2ulubxz72G/0L13fue/qIbFz9+t+QFELv3EJ7QSEiQpBMPTbyR3oe/tBpWb1S
 2HWGo/GhKVicCmqZqam5BweXv/P20oKyDGz1vU7Psmz7fB0Cju/3wSlIxZWdYuuN3u3Vjc2MfX1z
 /XmRYTN6vFrzzTpMTCaK+t2BLR2RE6bSz9naKccJBlfam9vu5gWtwjS1+c4l5a38VBLvSZZI2Jo8
 USmXuLErUsEPzjc/+8fEU06DQATPygYyFOdc0KB36i1g+6JSYUsiEBBsEsaRJAk7n706lFtXNi9e
 vfKVH37vT10h5Pja6udhnbVDD8Nq+sDsQ83qMS8RvEjZB5xDTH7oulcMyvTyc93zX41s5kGgPfGi
 u4pExApRrX5Ps3H/0VO/uPLqlyaqybzzeaJ56Ri98XKpNCSM42YlpFIlSk/33/yPcXoRQGBGLFyo
 +rtgSk53XbZqzNT84fcURdDwaT55f6t14snHPv7QAx+oTTRv3rwqTCA1OXe0HNibN1enJo73dtNk
 YkjcmF+6r9E62i8D490jh6enW/OrW5k4BBgCcER050Aje8WLoBAuHXw4j5a6afTqlRdrlWqYr/bU
 Ai6ei9//yez+M3TpuQYyT5Rx4EtJRgNHgAQCD7KAh2SAN04VZUcsEUmZ48bGugljcGW4dZHctZdv
 ZKOsa32/Al0KlSisTCYsGxv/urZ+8cnHf/PKtaySMAUzM8tHr1+4ZAxOn/k1le+8/0xSjnZfOved
 s2e/BTiC029deRAgUHoyUwcHenr5yHxdd7l1cjTo39qRoYvmv/t8+6N/FK58czfULeuZyIRCalzV
 LdhDGKIEFgQyNF2vuBTdLjz6yvdT6zo8VHm3l1/uKy8Ug0O4mOAAq1wQRaZSnXz09HuOHrpnZnLh
 3MULOwN/+dwKFCnlRUoRlY0Qq4nHH//E8uKxrz/7xcFgU4EJpJWpTDUPfvBDn1m658xKO1o88eCJ
 g5XWpG01W9NTjftP3f/aT26mqE5tb+ZP/Gpx6dm6ntextuAwmd+5eRYKZEhhsVF/aHJ6uj9Yk+Qx
 j7JCNOiuEHy1uZjZZaXTiew8XB76MObpyvTJ5ff+erWZdNZeX2o9guDqJz76WxPV4x5p1OgxqiPS
 nbSANhrZqSMH2BcWhsUXVtXqjbkDM69ffEkDutmcf+aZ31aot/vlv337oq3dNznXCnsvDnQ/39a1
 xPfXN04dX3zh0lq00586fDyPnsh4N0YAKJcHS8sPW3tIRWtsD8VxfeXKPwHKI05LCpTxHJIv4KF8
 ElF3697fqzeyo0tHKrBl74oeDb97/gUKghRor2Uba73GVHhz7Q3nyWjMtGYHXnfafSK6ceOGLns5
 RbHyXtcPtCatZ4A0fFlN6t1eLti+uXbr0GLitNXrP9opdxuR01MLo9tvUlBul/1jM5VkZuYnz/1V
 pHZ7+a5r75YU0PZVTd7JsNrrdVFWa7mUDhTozvOewgHnEenMeNvdIfnawDrd/vfMHcRO55qcwPb3
 UMzocn3hgSceOn442zKD3DZQh7VOsYgJeePh+ZnelE4qBytsEdRDcU7IRPnarfVRtgN4TQB5X/R6
 QaXSrEXNOiu/nadrPkj6mQp17jgg2MM1VLU9uBAOW/bKygVD0pOIUSZwGahkyT0L2ttpGVKZA+Xo
 HMHU42Y8tzBbqzgzHUqx0dnwUL2ttXMXrmS4Hqi+ctuWfaIT6bepZabUyOS4d+Hkre2ujK5NRJow
 Cn1qymHhFeBZhbVqfau/YWgiisLxLSXisDp74JCHciTsBWWWuVGcNEviioqKIrViAwhJUInjn1x9
 3dmBgZRUgWQMP77x9DAK4pgiX+SAAMtH7pmutbwzA4OJjDuRa1jJAzYeV66eH3b7ljyEwN5wvVpp
 SlKdMA5Cnky9Vuv0u4ZROKVYjM1KUyFvoUMtUvg0MjXnh1evvrZ/vb3PPvvss88+++yzzz77/L/l
 vwA5ZJZofcCu2gAAAABJRU5ErkJggg==

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

#GAME_VERSION := $(shell head debian/changelog -n1 | sed -n 's/.* (\(.*\)) .*/\1/p')
CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

build: build-stamp

build-stamp:
	dh_testdir
	$(MAKE) -f Makefile.maemo
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	dh_clean
	$(MAKE) -f Makefile.maemo clean

install: build
	dh_testdir
	dh_testroot
	dh_installdirs

	cp data/hota.png debian/heartofthealien/usr/share/icons/hicolor/64x64/apps/
	cp data/hota.desktop debian/heartofthealien/usr/share/applications/hildon/

	dh_install

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	#dh_installmenu
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_makeshlibs
	dh_shlibdeps
	dh_gencontrol
	#maemo-optify
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
